package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.InductionManageService;
import com.engine.recruit.service.impl.InductionManageServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/10/23
 * @version: 1.0
 */
public class InductionManageWrapper extends Service {
    private InductionManageService getInductionManageService(User user) {
        return ServiceUtil.getService(InductionManageServiceImpl.class, user);
    }

    public Map<String, Object> updateInductionManageInfo(Map<String, Object> param) {
        return getInductionManageService(user).updateInductionManageInfo(param);
    }

    public Map<String, Object> sendCollectInfo(Map<String, Object> param) {
        return getInductionManageService(user).sendCollectInfo(param);
    }

    public Map<String, Object> verifyIDCard(Map<String, Object> param) {
        return getInductionManageService(user).verifyIDCard(param);
    }

    public Map<String, Object> checkLoginInfo(Map<String, Object> param) {
        return getInductionManageService(user).checkLoginInfo(param);
    }

    public Map<String, Object> infoSubmit(String id) {
        return getInductionManageService(user).infoSubmit(id);
    }
}
